org.jacoco.core.internal.data

## Class CRC64

- java.lang.Object
- - org.jacoco.core.internal.data.CRC64

    public final class CRC64
    extends Object

CRC64 checksum calculator based on the polynom specified in ISO 3309. The implementation is based on the following publications:

- http://en.wikipedia.org/wiki/Cyclic_redundancy_check
- http://www.geocities.com/SiliconValley/Pines/8659/crc.htm

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `checksum(byte[] data)` Calculates the CRC64 checksum for the given data array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checksum

    public static long checksum(byte[] data)

Calculates the CRC64 checksum for the given data array.

Parameters:
  `data` - data to calculate checksum for
Returns:
  checksum value